javax.jms

## Class IllegalStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.IllegalStateException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IllegalStateException

      public class IllegalStateException
      extends JMSException

  This exception is thrown when a method is invoked at an illegal or inappropriate time or if the provider is not in an appropriate state for the requested operation. For example, this exception must be thrown if `Session.commit` is called on a non-transacted session. This exception is also called when a domain inappropriate method is called, such as calling `TopicSession.CreateQueueBrowser`.

  Since:
    JMS 1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalStateException(String reason)` Constructs an `IllegalStateException` with the specified reason.
    `IllegalStateException(String reason, String errorCode)` Constructs an `IllegalStateException` with the specified reason and error code.

  - ### Method Summary

    - ### Methods inherited from class javax.jms.JMSException

      `getErrorCode, getLinkedException, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalStateException

          public IllegalStateException(String reason,
                               String errorCode)

      Constructs an `IllegalStateException` with the specified reason and error code.
      Parameters:
        `reason` - a description of the exception
        `errorCode` - a string specifying the vendor-specific error code

    - #### IllegalStateException

          public IllegalStateException(String reason)

      Constructs an `IllegalStateException` with the specified reason. The error code defaults to null.
      Parameters:
        `reason` - a description of the exception

Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.